"use strict";

var GO_Note = function(readEvt){
	this.sprite = new Sprite(GO_Note.spriteSheet,"Note");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(2,3,12,12);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "Note";
	this.direction = 1;

	this._makeCheckable(readEvt);
};
GO_Note.spriteImg = SDS_Load_Image("art/sheets/sprite/note.png");
GO_Note.spriteSheet = new TileSheet(4, 4, 1, 0, GO_Note.spriteImg);

GO_Note.prototype = new GameObject(
	new Sprite(
		GO_Note.spriteSheet,
		"Note"
	),
	"Note"
	);

	GO_Note.prototype.Update = function(){
		this.sprite.frame = (this.direction>0) ? 0 : 1;
	};